{ pkgs, config, lib, ...}:
let
  cfg = config.my.desktop;
in
{
  config = lib.mkIf cfg.enable {
    environment.systemPackages = with pkgs; [
      kitty
      thunderbird
      bitwarden-desktop
      pwvucontrol
      gedit
      wl-clipboard
      brightnessctl
      hyprshot
      mpv
      #jellyfin-media-player
      gedit
      nixfmt
      nixd
      xfce.thunar
      xfce.thunar-archive-plugin
      xfce.thunar-media-tags-plugin
      droidcam
      rustdesk
      rquickshare
      btrfs-assistant
      ungoogled-chromium
      gparted
      veracrypt
      syncplay
      tigervnc
      solaar
      logitech-udev-rules
      yubioath-flutter
      kdePackages.gwenview
      gsettings-desktop-schemas
      gnome-tweaks
      appimage-run
      firefoxpwa
      papirus-icon-theme
      tuigreet
      arrpc
    ]
    ++ lib.optionals cfg.hyprland.enable [
      hyprpolkitagent
      hypridle
      hyprpicker
    ]
    ++ lib.optionals cfg.spicetify.enable [
      spotify
    ];
    programs.seahorse.enable = true;
    programs.streamcontroller.enable = true;
    programs.appimage = {
      enable = true;
      binfmt = true;
    };
    programs.yubikey-manager.enable = true;
    systemd.user.targets.graphical-session = {
      wants = [ "arrpc.service" ];
    };
  };
}
